Add Account Members
curl --request POST \
--url https://api.paxos.com/v2/identity/account-members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "79c27a0e-46a2-4276-9769-e1ebc055fa72",
"members": [
{
"identity_id": "11a3122a-0c50-4950-9934-2ad48a782b78",
"roles": [
"FINANCIAL_ADVISOR"
]
},
{
"identity_id": "08ba6b70-bcc0-4e4a-a67f-1d28842dedfc",
"roles": [
"AUTHORIZED_USER"
]
}
]
}
'import requests
url = "https://api.paxos.com/v2/identity/account-members"
payload = {
"account_id": "79c27a0e-46a2-4276-9769-e1ebc055fa72",
"members": [
{
"identity_id": "11a3122a-0c50-4950-9934-2ad48a782b78",
"roles": ["FINANCIAL_ADVISOR"]
},
{
"identity_id": "08ba6b70-bcc0-4e4a-a67f-1d28842dedfc",
"roles": ["AUTHORIZED_USER"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: '79c27a0e-46a2-4276-9769-e1ebc055fa72',
members: [
{
identity_id: '11a3122a-0c50-4950-9934-2ad48a782b78',
roles: ['FINANCIAL_ADVISOR']
},
{
identity_id: '08ba6b70-bcc0-4e4a-a67f-1d28842dedfc',
roles: ['AUTHORIZED_USER']
}
]
})
};
fetch('https://api.paxos.com/v2/identity/account-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "79c27a0e-46a2-4276-9769-e1ebc055fa72",
"members": [
{
"identity_id": "11a3122a-0c50-4950-9934-2ad48a782b78",
"roles": [
"FINANCIAL_ADVISOR"
],
"id": "01516495-031a-4c6c-b277-5734ea9cb99c"
},
{
"identity_id": "08ba6b70-bcc0-4e4a-a67f-1d28842dedfc",
"roles": [
"AUTHORIZED_USER"
],
"id": "1039d953-808f-495f-902d-c15480942885"
}
]
}Account Members
Add Account Members
Add one or more account members to a given account.
The account members added by this API do not affect existing account members. For example, if an account has two members, and one member is added using this API, then the account will end up with three members.
For more information on properties of account members, see Account Members.
POST
/
identity
/
account-members
Add Account Members
OAuth Scope
identity:write_account
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Body
application/json
Was this page helpful?
⌘I